Bug 216656 - Xorg zoom keys (alt-ctrl-keypad-plus and minus) don't work on Radeon
Xorg zoom keys (alt-ctrl-keypad-plus and minus) don't work on Radeon
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
: 216703 217245 219198 (view as bug list)
Depends On:
Blocks: 218336
  Show dependency treegraph
Reported: 2006-11-21 08:14 EST by david.hagood
Modified: 2007-11-30 17:11 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-12-01 17:24:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
FreeDesktop.org 7097 None None None Never

  None (edit)
Description david.hagood 2006-11-21 08:14:22 EST
Description of problem:
The zoom keys (alt-ctrl-kp-plus and alt-ctrl-kp-minus) don't work with Radeon cards.

Version-Release number of selected component (if applicable):

How reproducible:
Every time

Steps to Reproduce:
1. Launch X. Insure there is more than one valid resolution available.
2. press ALT-CTRL-KeypadPlus
Actual results:
No change in displayed resolution. 
RADEONHandleMessage(0, "KeyEventMessage", "-VMode", retmsg)
Is logged to the Xorg log file.

Expected results:
Screen resolution should change.

Additional info:
This has been fixed in Xorg upstream.
Comment 1 Will Woods 2006-12-01 13:25:33 EST
ajax is building a fixed X server in rawhide today, so the fix for this should
make it to FC6 Real Soon Now.
Comment 2 Will Woods 2006-12-01 13:27:29 EST
*** Bug 216703 has been marked as a duplicate of this bug. ***
Comment 3 Will Woods 2006-12-01 13:27:47 EST
*** Bug 217245 has been marked as a duplicate of this bug. ***
Comment 4 Adam Jackson 2006-12-01 17:24:09 EST
Applied to rawhide and FC6-updates-testing, thanks!
Comment 5 Rob Crittenden 2006-12-11 17:05:40 EST
*** Bug 219198 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.